/***************************************************************************
* File Name: pwf_an0001_defines.h
* Processor(s): MSP430F16x (tested), MSP430F14x (not tested)
* Compiler: Code Composer Studio V4 (4.2.5.00005)
* 
* Copyright  2012 Playing With Fusion, Inc.
* SOFTWARE LICENSE AGREEMENT: This code is released under the MIT License. 
* 
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
* DEALINGS IN THE SOFTWARE.
* **************************************************************************
* REVISION HISTORY:
* Author			Date		Comments
* J. Steinlage		2012Dec16	Original version
* 
* **************************************************************************
* ADDITIONAL NOTES:
* This file contains abstracted configuration values for AN0001.
***************************************************************************/

#ifndef __PWF_AN0001_DEFINES_H_
#define __PWF_AN0001_DEFINES_H_

// SPI chip selection
#define CS_TC0			0x80		// Port 2, Pin 7
#define CS_TC1			0x40		// Port 2, Pin 6
#define CS_TC2			0x20		// Port 2, Pin 5
#define CS_TC3			0x10		// Port 2, Pin 4

// LED pins
#define LED1_PIN		0x01		// Port 1, Pin 0; blinky LED


// UART pins
#define UART1_TX		0x40		// Port 3, Pin 6
#define UART1_RX		0x80		// Port 3, Pin 7

// SPI pins
#define SOMI_USART0		0x04		// Port 3, Pin 2
#define SCLK_USART0		0x08		// Port 3, Pin 3

#endif /* __PWF_AN0001_DEFINES_H_ */
